package com.ruoyi.bst.device.domain.dto;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;

import com.ruoyi.iot.domain.IotDeviceSysInfo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
public class DeviceBltUploadDTO {

    @ApiModelProperty("设备MAC")
    @NotBlank(message = "设备MAC不能为空")
    private String mac;
    
    @ApiModelProperty("系统数据")
    @NotNull(message = "系统数据不能为空")
    private IotDeviceSysInfo sys;
}
