package com.ruoyi.bst.model.domain;

import java.time.LocalDate;
import java.util.List;

import org.springframework.format.annotation.DateTimeFormat;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
public class ModelQuery extends ModelVO {

    @ApiModelProperty("ID列表")
    private List<Long> ids;
    
    @ApiModelProperty("关键词")
    private String keyword;

    @ApiModelProperty("创建日期范围")
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    private List<LocalDate> createDateRange;

}
