package com.ruoyi.bst.fault.domain;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.Min;
import javax.validation.constraints.NotNull;
import javax.validation.constraints.Size;


@Data
public class FaultVerifyDTO {

    @ApiModelProperty("故障申报")
    @NotNull(message = "故障申报ID不能为空")
    private Long id;

    @ApiModelProperty("是否通过")
    @NotNull(message = "是否通过不能为空")
    private Boolean pass;

    @ApiModelProperty("审核备注")
    @Size(max = 200, message = "审核备注不能超过200个字符")
    private String verifyRemark;

}
